Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::NodeChild Struct Reference

`#include <dawg.h>`

List of all members.

## Public Member Functions

| NodeChild (UNICHAR_ID id, EDGE_REF ref)
| NodeChild ()

## Public Attributes

UNICHAR_ID | unichar_id
EDGE_REF | edge_ref

## Detailed Description

Definition at line 60 of file dawg.h.

## Constructor & Destructor Documentation

tesseract::NodeChild::NodeChild | ( | UNICHAR_ID | id,
|  | EDGE_REF | ref
| ) |  |

inline

Definition at line 63 of file dawg.h.

: unichar_id(id), edge_ref(ref) {}

tesseract::NodeChild::NodeChild | ( |  | ) |

inline

Definition at line 64 of file dawg.h.

: unichar_id(INVALID_UNICHAR_ID), edge_ref(NO_EDGE) {}

## Member Data Documentation

EDGE_REF tesseract::NodeChild::edge_ref

Definition at line 62 of file dawg.h.

UNICHAR_ID tesseract::NodeChild::unichar_id

Definition at line 61 of file dawg.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/dict/dawg.h